com.avaya.ccs.api.enums

## Enum ResourceState

- java.lang.Object
- - java.lang.Enum<ResourceState>
  - - com.avaya.ccs.api.enums.ResourceState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResourceState>

      public enum ResourceState
      extends java.lang.Enum<ResourceState>

  The `ResourceState` enum represents the possible values for the state of an `ResourceI` object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InService` Indicates that the device is currently in service and operational.
    `Invalid` Indicates generally that the Contact Center User related to this `ResourceI` has; been deleted from the Contact Center administration had their data modified in the Contact Center administration been removed from the `SessionI`
    `OutOfService` Indicates that the device is currently out of service and not operational.
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResourceState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Invalid

          public static final ResourceState Invalid

      Indicates generally that the Contact Center User related to this `ResourceI` has;
      - been deleted from the Contact Center administration
      - had their data modified in the Contact Center administration
      - been removed from the `SessionI`

      The client application should cease using the related `ResourceI` object when in this state. Note that this state will be set in any `NotificationType.DELETE` notifications for `ResourceI` objects.

    - #### OutOfService

          public static final ResourceState OutOfService

      Indicates that the device is currently out of service and not operational.

    - #### InService

          public static final ResourceState InService

      Indicates that the device is currently in service and operational.

    - #### Unknown

          public static final ResourceState Unknown

  - ### Method Detail

    - #### values

          public static ResourceState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceState c : ResourceState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null